function [ watts, price, performance ] = cluster_specifications( x )
% funct_cluster: function that computes and prints the cluster specifications

CPUS_GFLOPS = [403, 845, 538];
GPUS_GFLOPS = [4700, 2910];
KNLS_GFLOPS = [3050];

CPUS_WATTS = [105, 165, 115];
GPUS_WATTS = [300, 300];
KNLS_WATTS = [215];

CPUS_PRICE = [2837, 7174, 3002];
GPUS_PRICE = [6500, 2155];
KNLS_PRICE = [2436];

cpu1 = x(1);
cpu2 = x(2);
cpu3 = x(3);
gpu1 = x(4);
gpu2 = x(5);
knls = x(6);

watts = cpu1 * CPUS_WATTS(1) + ...
        cpu2 * CPUS_WATTS(2) + ...
        cpu3 * CPUS_WATTS(3) + ...
        gpu1 * GPUS_WATTS(1) + ...
        gpu2 * GPUS_WATTS(2) + ...
        knls * KNLS_WATTS(1);

price = cpu1 * CPUS_PRICE(1) + ...
        cpu2 * CPUS_PRICE(2) + ...
        cpu3 * CPUS_PRICE(3) + ...
        gpu1 * GPUS_PRICE(1) + ...
        gpu2 * GPUS_PRICE(2) + ...
        knls * KNLS_PRICE(1);

performance = cpu1 * CPUS_GFLOPS(1) + ...
        cpu2 * CPUS_GFLOPS(2) + ...
        cpu3 * CPUS_GFLOPS(3) + ...
        gpu1 * GPUS_GFLOPS(1) + ...
        gpu2 * GPUS_GFLOPS(2) + ...
        knls * KNLS_GFLOPS(1);
end  % cluster_specifications
